//---------------------------------------------------------------------------

#ifndef TCDSFormFH
#define TCDSFormFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <stdio.h>
#include <ADODB.hpp>
#include <DB.hpp>
#include <SyncObjs.hpp>
#include <ExtCtrls.hpp>
#include <jpeg.hpp>
#include <GIFimg.hpp>
#include "LibSTLF.hpp"
//---------------------------------------------------------------------------
#include "VitzroCommF.h"
#include "ITSLogF.h"
//---------------------------------------------------------------------------

class TCDSFormObj
{
public:
    TCDSFormObj();
    ~TCDSFormObj();

public:
    int        FORM_OBJECT_ID;          //NUMBER(5)	N			FORM OBJECT ID
    AnsiString VMS_FORM_ID;             //NUMBER(5)	N			VMS FORM ID
    int        VMS_FORM_DSPL_ROW;       //NUMBER(2)	Y			VMS FORM 표출 행
    int        VMS_FORM_DSPL_CLMN;      //NUMBER(2)	Y			VMS FORM 표출 칼럼
    int        VMS_FORM_OBJECT_TYPE_CD; //NUMBER(3)	N			VMS FORM OBJECT 유형 코드
    int        VMS_FONT_TYPE_CD;        //NUMBER(3)	N			VMS 글꼴 유형 코드
    int        VMS_FONT_HUE_CD;         //NUMBER(9)	N			VMS 글꼴 색상 코드
    int        VMS_FONT_STYL_CD;        //NUMBER(3)	Y			VMS 글꼴 방식 코드
    int        VMS_FONT_SIZE;           //NUMBER(3)	Y	0		VMS 글꼴 크기
    int        VMS_FONT_ALIGN;          //NUMBER(1)	Y	0		VMS 표출 문자열정열방식(0:LEFT,1:RIGHT,2:CENTER)
    AnsiString VMS_DSPL_TXT;            //VARCHAR2(200)	Y		VMS 표출 텍스트
    int        VMS_DSPL_XCRDN;          //NUMBER(5)	Y			VMS 표출 X좌표
    int        VMS_DSPL_YCRDN;          //NUMBER(5)	Y			VMS 표출 Y좌표
    int        VMS_DSPL_WIDTH;          //NUMBER(5)	Y	0		VMS 표출 넓이
    int        VMS_DSPL_HEIGHT;         //NUMBER(5)	Y	0		VMS 표출 높이
    int        VMS_DSPL_BLINKING;       //NUMBER(1)	Y	0		VMS 표출 점멸 여부(0:지속, 1:점멸)
    int        VMS_DSPL_BKCOLOR;        //NUMBER(1)	Y	0		VMS 표출 배경색상코드
    int        VMS_DSPL_SIZE;           //NUMBER(7)	Y	0		VMS 표출 크기(문자:문자길이,이미지:이미지전체크기)
    AnsiString TRFC_FILL_CD;            //CHAR(1)	Y	'N'		FILL-IN 메시지 여부
    AnsiString SYMBLIB_NMBR;            //NUMBER(4)	N	0		심벌라이브러리 번호
    AnsiString VMS_IFSC_ID;             //NUMBER(10)	Y		VMS 정보제공구간 ID
	TImage    *pImage;

public:
    void Clear();
};
//---------------------------------------------------------------------------

class TCDSForm
{
public:
    TCDSForm();
    ~TCDSForm();

public:
    AnsiString VMS_FORM_ID;             //NUMBER(5)	    N			VMS FORM ID
    AnsiString VMS_TYPE_CD;             //VARCHAR2(7)	Y			VMS 유형 코드
    int        VMS_FORM_TYPE_CD;        //NUMBER(3)	    N			VMS FORM 유형 코드
    int        VMS_FORM_BCKG_HUE_CD;    //NUMBER(10)	N			VMS FORM 배경 색상 코드
    int        VMS_MSG_DSPL_DRCT_CD;    //NUMBER(3)	    Y			VMS 메시지 표출 방향 코드
    int        VMS_MSG_DSPL_MTHD_CD;    //NUMBER(3)	    Y	0		VMS 메시지 표출 방법 코드

    AnsiString  TrfBakImgId;

    bool       TrfIfsc;   //도형식 하단 정보제공구간소통정보
    bool       TrfAxis;   //도형식 하단 축소통정보
public:
    IntMap<TCDSFormObj> FLists;

    void Clear();
};
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
class TCDSFormManager
{
public:
    TCDSFormManager();
    ~TCDSFormManager();

private:

public:
    ListMap<TCDSForm> FLists;
};
//---------------------------------------------------------------------------
extern TCDSFormManager *FormManager;
//---------------------------------------------------------------------------



#endif
